Bug 1546784 - pykde4: python3-pykde4 requires both Python 2 and Python 3
Summary: pykde4: python3-pykde4 requires both Python 2 and Python 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pykde4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-02-19 15:34 UTC by Iryna Shcherbina
Modified: 2018-10-09 11:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-09 11:34:12 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-02-19 15:34:37 UTC
The python3-pykde4 (4.14.3-22.fc28) RPM requires both Python 2 and Python 3:

$ dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python3-pykde4 | grep python
/usr/bin/python2
libpython3.6m.so.1.0
libpython3.6m.so.1.0()(64bit)
python(abi) = 3.6
...

This happened due to recently introduced shebangs mangling [0], and you might see the warnings in the build log:

> *** WARNING: mangling shebang in ./usr/lib64/python3.6/site-packages/PyQt4/uic/pykdeuic4.py from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!

The executable contains `#!/usr/bin/env python` shebang, which is forbidden by the guidelines and is automatically mangled to `#!/usr/bin/python2` during build. Please fix the shebang to be `#!/usr/bin/python3` explicitly [1] or remove the executable bit from the file if not needed.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

[0] https://pagure.io/packaging-committee/issue/738#comment-490366
[1] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#fixing-shebangs

Comment 1 Rex Dieter 2018-02-19 18:52:41 UTC
%changelog
* Mon Feb 19 2018 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-23
- pykdeuic4.py: omit shbang (#1546784)

Comment 2 Miro Hrončok 2018-10-03 19:36:11 UTC
$ dnf repoquery --repo=rawhide  python3-pykde4 
python3-pykde4-0:4.14.3-27.fc29.i686
python3-pykde4-0:4.14.3-27.fc29.x86_64

$ dnf repoquery --repo=rawhide --requires python3-pykde4 | grep python
/usr/bin/python2
libpython3.7m.so.1.0
libpython3.7m.so.1.0()(64bit)
python(abi) = 3.7
python3-PyQt4 >= 4.9.5
python3-sip-api(12) >= 12.5

Comment 3 Ngo Than 2018-10-09 11:34:12 UTC
it's fixed in pykde4-4.14.3-28.fc30


Note You need to log in before you can comment on or make changes to this bug.